Package org.apache.tapestry5.http.internal.services

# Class ResponseCompressionAnalyzerImpl

java.lang.Object
org.apache.tapestry5.http.internal.services.ResponseCompressionAnalyzerImpl

All Implemented Interfaces:
  `ResponseCompressionAnalyzer`

public class ResponseCompressionAnalyzerImpl extends Object implements ResponseCompressionAnalyzer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseCompressionAnalyzerImpl(javax.servlet.http.HttpServletRequest request, boolean gzipCompressionEnabled, CompressionAnalyzer compressionAnalyzer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isGZipEnabled(ContentType contentType)`
  Uses `CompressionAnalyzer` to determine if the content is compressable, but only if the request indicates the client supports compression.
  `boolean`
  `isGZipSupported()`
  Checks the Accept-Encoding request header for a "gzip" token.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseCompressionAnalyzerImpl

    public ResponseCompressionAnalyzerImpl(javax.servlet.http.HttpServletRequest request, @Symbol("tapestry.gzip-compression-enabled") boolean gzipCompressionEnabled, CompressionAnalyzer compressionAnalyzer)

- ## Method Details

  - ### isGZipSupported

    public boolean isGZipSupported()
    Description copied from interface: `ResponseCompressionAnalyzer`
    Checks the Accept-Encoding request header for a "gzip" token. Ensures that the protocol is not "HTTP/1.0", which does not correctly support GZip encoding (in older Internet Explorer browsers).
    Specified by:
      `isGZipSupported` in interface `ResponseCompressionAnalyzer`
    Returns:
      true if gzip is supported by client

  - ### isGZipEnabled

    public boolean isGZipEnabled(ContentType contentType)
    Description copied from interface: `ResponseCompressionAnalyzer`
    Uses `CompressionAnalyzer` to determine if the content is compressable, but only if the request indicates the client supports compression.
    Specified by:
      `isGZipEnabled` in interface `ResponseCompressionAnalyzer`
    Returns:
      true if the content can be compressed for the current request